// creator  : weidu.exe (version 23100)
// argument : _LARRY.DLG
// game		 : .
// source	 : ./override/_LARRY.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_LARRY~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #76557 /* ~Hi. I'm Larry. This is my brother Darryl and this is my other brother Darryl. We're real pleased to meet you.~ */
  IF ~~ THEN REPLY #76558 /* ~Why would an xvart, a kobold, and a tasloi be wandering around calling themselves Larry, Darryl, and Darryl?~ */ GOTO 1
  IF ~~ THEN REPLY #76559 /* ~Larry, Darryl, and Darryl?!! Hey, can I get your autographs?~ */ GOTO 2
  IF ~Global("X#LarryFaldorn1","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LarryFaldorn1","GLOBAL",1)~ EXTERN ~_FALDOJ~ 101
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #76560 /* ~See Darryl, I told you these guys were the wrong generation!~ */
  IF ~~ THEN DO ~ActionOverride("darryl2",EscapeArea())
ActionOverride("darryl",EscapeArea())
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #76561 /* ~Hey, Darryl, come quick! These folks want us to sign an ee-lek-tronik autograph for 'em... (scribble scribble scribble)~ */
  IF ~~ THEN DO ~GiveItem("_CRLAUTO",LastTalkedToBy)
ActionOverride("darryl2",EscapeArea())
ActionOverride("darryl",EscapeArea())
EscapeArea()
~ EXIT
  IF ~Global("X#DynaheirLarry1","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirLarry1","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 97
END

IF ~~ THEN BEGIN 3 // from:
  SAY #99685 /* ~That's two R's... and here you go!~ */
  IF ~~ THEN DO ~GiveItem("_CRLAUTO",LastTalkedToBy)
ActionOverride("darryl2",EscapeArea())
ActionOverride("darryl",EscapeArea())
EscapeArea()
~ EXIT
END
